polybori::handle_else< NavigatorType > Class Template Reference

`#include <CBidirectTermIter.h>`

Inheritance diagram for polybori::handle_else< NavigatorType >:

## Public Types

typedef NavigatorType | navigator_type
typedef std::deque< NavigatorType > | base

## Public Member Functions

void | operator() (const navigator_type &navi)
void | push (const navigator_type &navi)
void | pop ()
const navigator_type & | top () const
void | append (const handle_else &rhs)

## Member Typedef Documentation

template<class NavigatorType >

typedef std::deque<NavigatorType> polybori::handle_else< NavigatorType >::base

template<class NavigatorType >

typedef NavigatorType polybori::handle_else< NavigatorType >::navigator_type

## Member Function Documentation

template<class NavigatorType >

void polybori::handle_else< NavigatorType >::append | ( | const handle_else< NavigatorType > & | rhs) |  |

inline

References PBORI_ASSERT.

template<class NavigatorType >

void polybori::handle_else< NavigatorType >::operator() | ( | const navigator_type & | navi) |  |

inline

template<class NavigatorType >

void polybori::handle_else< NavigatorType >::pop | ( | ) |  |

inline

template<class NavigatorType >

void polybori::handle_else< NavigatorType >::push | ( | const navigator_type & | navi) |  |

inline

template<class NavigatorType >

const navigator_type& polybori::handle_else< NavigatorType >::top | ( | ) |  | const

inline

The documentation for this class was generated from the following file:

- CBidirectTermIter.h